## chron 2.3-55

=== debian/changelog ===
chron (2.3-55-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Feb 2020 09:26:03 -0600

=== debian/control ===
Source: chron
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git
Homepage: https://cran.r-project.org/package=chron

Package: r-cran-chron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for chronologically ordered objects
 This package contains function for chronologically ordered objects
 to handle dates and time in GNU R.

## chron 2.3-56

=== debian/changelog ===
chron (2.3-56-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Aug 2020 07:52:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2)
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 4.0.2)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-chron package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/chron_([\d\.-]*)\.tar.gz

## chron 2.3-57

=== DESCRIPTION ===
Package: chron
Version: 2.3-57
Title: Chronological Objects which can Handle Dates and Times
Description: Provides chronological objects which can handle dates and times.
Authors@R: c(person("David", "James", role = "aut",
                     comment = "S original"),
             person("Kurt", "Hornik", role = c("aut", "trl", "cre"),
                    email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
             person("Gabor", "Grothendieck", role = "ctb",
                    email = "ggrothendieck@gmail.com"),
             person("R Core Team", role = "ctb"))
Depends: R (>= 2.12.0)
Imports: graphics, stats
Suggests: scales, ggplot2
Enhances: zoo
License: GPL-2
NeedsCompilation: yes
Packaged: 2022-05-30 09:22:07 UTC; hornik
Author: David James [aut] (S original),
  Kurt Hornik [aut, trl, cre] (<https://orcid.org/0000-0003-4198-9911>),
  Gabor Grothendieck [ctb],
  R Core Team [ctb]
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2022-05-30 10:25:15 UTC

=== debian/changelog ===
chron (2.3-57-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Jun 2022 07:19:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 4.0.2)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git
 Homepage: https://cran.r-project.org/package=chron

## chron 2.3-58

=== debian/changelog ===
chron (2.3-58-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2022 14:03:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0)
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.1)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git

## chron 2.3-59

=== debian/changelog ===
chron (2.3-59-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jan 2023 12:31:21 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.1)
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git
 Homepage: https://cran.r-project.org/package=chron

## chron 2.3-60

=== DESCRIPTION ===
Package: chron
Version: 2.3-60
Title: Chronological Objects which Can Handle Dates and Times
Description: Provides chronological objects which can handle dates and times.
Authors@R: c(person("David", "James", role = "aut",
                     comment = "S original"),
             person("Kurt", "Hornik", role = c("aut", "trl", "cre"),
                    email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911", "R port")),
             person("Gabor", "Grothendieck", role = "ctb",
                    email = "ggrothendieck@gmail.com"),
             person("R Core Team", role = "ctb"))
Depends: R (>= 2.12.0)
Imports: graphics, stats
Suggests: scales, ggplot2
Enhances: zoo
License: GPL-2
NeedsCompilation: yes
Packaged: 2023-03-07 13:43:20 UTC; hornik
Author: David James [aut] (S original),
  Kurt Hornik [aut, trl, cre] (<https://orcid.org/0000-0003-4198-9911>, R
    port),
  Gabor Grothendieck [ctb],
  R Core Team [ctb]
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2023-03-07 14:19:02 UTC

=== debian/changelog ===
chron (2.3-60-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Mar 2023 19:25:25 -0600

## chron 2.3-61

=== debian/changelog ===
chron (2.3-61-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Jun 2023 11:20:18 -0500

chron (2.3-61-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:20:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2)
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git

## chron 2.3-62

=== debian/changelog ===
chron (2.3-62-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Dec 2024 08:29:18 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
 Vcs-Git: https://salsa.debian.org/edd/r-cran-chron.git
 Homepage: https://cran.r-project.org/package=chron
